%{?nodejs_find_provides_and_requires}
Name:                nodejs-normalize-package-data
Version:             2.3.5
Release:             3
Summary:             Normalizes npm/package.json metadata
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
License:             BSD-3-Clause
URL:                 https://github.com/meryn/normalize-package-data
Source0:             https://registry.npmjs.org/normalize-package-data/-/normalize-package-data-%{version}.tgz
BuildRequires:       nodejs-packaging
BuildRequires:       npm(async) npm(underscore) npm(semver) npm(github-url-from-git)
BuildRequires:       npm(hosted-git-info) npm(is-builtin-module) npm(tap)
BuildRequires:       npm(validate-npm-package-license)
%description
normalize-package-data exports a function that normalizes package metadata. This
data is typically found in a package.json file, but in principle could come from
any source - for example the npm registry.
normalize-package-data is used by read-package-json to normalize the data it
reads from a package.json file. In turn, read-package-json is used by npm and
various npm-related tools.

%prep
%setup -q -n package
%nodejs_fixdep is-builtin-module ^3.1.0

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/normalize-package-data
cp -pr lib package.json %{buildroot}%{nodejs_sitelib}/normalize-package-data
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%tap test/*.js || :

%files
%{nodejs_sitelib}/normalize-package-data
%doc README.md AUTHORS
%license LICENSE

%changelog
* Sat Jul 02 2022 wangkai <wangkai385@h-partners.com> - 2.3.5-3
- Modify require version to fix unresolvable

* Mon May 9 2022 liyanan <liyanan32@h-partners.com> - 2.3.5-2
- License compliance rectification

* Thu Aug 20 2020 wangchong <wangchong56@huawei.com> - 2.3.5-1
- package init
